PipeWire 1.4.5 |

Loading...
Searching...
No Matches
pw-dot

The PipeWire dot graph dump

# SYNOPSIS

pw-dot [options]

# DESCRIPTION

Create a .dot file of the PipeWire graph.

The .dot file can then be visualized with a tool like dotty or rendered to a PNG file with `dot -Tpng pw.dot -o pw.png`.

# OPTIONS

-r | --remote=NAME
  The name the remote instance to connect to. If left unspecified, a connection is made to the default PipeWire instance.

-h | --help
  Show help.

--version
  Show version information.

-a | --all
  Show all object types.

-s | --smart
  Show linked objects only.

-d | --detail
  Show all object properties.

-o FILE | --output=FILE
  Output file name (Default pw.dot). Use - for stdout.

-L | --lr
  Lay the graph from left to right, instead of dot's default top to bottom.

-9 | --90
  Lay the graph using 90-degree angles in edges.

# AUTHORS

The PipeWire Developers <https://gitlab.freedesktop.org/pipewire/pipewire/issues>; PipeWire is available from <https://pipewire.org>

# SEE ALSO

pipewire(1), pw-cli(1), pw-mon(1),